Skip to main content
DELETE
/
console
/
v1
/
experiments
/
{id}
/
overrides
/
userID
/
{userID}
Delete a Single Experiment User ID Override
curl --request DELETE \
  --url https://statsigapi.net/console/v1/experiments/{id}/overrides/userID/{userID} \
  --header 'STATSIG-API-KEY: <api-key>'
{
  "overrides": [
    {
      "type": "gate",
      "id": "a_gate",
      "groupID": "Test"
    }
  ],
  "userIDOverrides": [
    {
      "groupID": "Control",
      "ids": [
        "remove_just_this_id"
      ]
    }
  ]
}

Authorizations

STATSIG-API-KEY
string
header
required

Path Parameters

id
string
required

Experiment name

userID
string
required

User ID to remove from the override

Query Parameters

groupID
string
required

The experiment group name the override targets

unitType
string

The unit type of the override. Defaults to the experiment unit type when omitted.

environment
string

Environment the override is scoped to. Omit to target the override that applies to all environments.

Response

Delete Single Experiment User ID Override Success

message
string
required

A simple string explaining the result of the operation.

data
object
required

A single result.